<!---
<fusedoc fuse="FBX_Settings.cfm">
	<responsibilities>
		I set up the enviroment settings for this circuit. If this settings file is being inherited, then you can use CFSET to override a value set in a parent circuit or CFPARAM to accept a value set by a parent circuit
	</responsibilities>	
</fusedoc>
--->

<cfparam name="attributes.fuseaction" default="fusedocer.home">

<cfset request.os.delimiter = REreplace(gettemplatepath(), "[^\\/]*([\\/]).*", "\1") />

<!--- this is used in CFDIRECTORY calls to only look at appropriate files. --->
<!--- it can be tuned as needed for any shop-specific practices that you employ --->
<cfset request.app.fusefilter = "*_*.cf*" />
<cfset request.app.basedir = expandPath(".#request.os.delimiter#") />
<cfset request.app.tempfileExtension = ".temp.cfm" />
<cfset request.app.corefilePrefix = "fbx_" />

<cfset self = cgi.script_name & "?fuseaction=" />
<cfset request.self = self />
