<!---
<fusedoc fuse="val_fusedocer.cfm" version="2.0" language="ColdFusion">
	<responsibilities>
		I validate the user input for the parse
	</responsibilities>
	<io>
		<in>
			<string name="rootdir" scope="attributes" />
			<string name="outputdir" scope="attributes" />
		</in>
		<out>
		</out>
		<throws type="InvalidDirectoryException" />
	</io>
</fusedoc>
--->

<cfscript>
	attributes.rootdir = REreplace(attributes.rootdir, "(\\|/)+$", "");
	attributes.outputdir = REreplace(attributes.outputdir, "(\\|/)+$", "");
</cfscript>

<cfif NOT directoryExists(attributes.rootdir)>
	<cfthrow type="InvalidDirectoryException"
		message="The directory you've provided as your app root doesn't exist" />
</cfif>

<cfif NOT directoryExists(attributes.outputdir) AND NOT directoryExists(listDeleteAt(attributes.outputdir, listlen(attributes.outputdir, "\/"), "\/"))>
	<cfthrow type="InvalidDirectoryException"
		message="The directory you've provided as your output directory doesn't exist, and neither does it's parent directory" />
</cfif>