<!---
<fusedoc fuse="act_gethtml.cfm" version="2.0" language="ColdFusion">
	<responsibilities>
		I read the needed HTML snippets into memory for later use
	</responsibilities>
	<io>
		<in>
			<string name="app.basedir" scope="request" />
			<string name="os.delimiter" scope="request" />
		</in>
		<out>
			<string name="html.index" scope="request" />
			<string name="html.doc_open" scope="request" />
			<string name="html.doc_close" scope="request" />
			<string name="html.app_header" scope="request" />
			<string name="html.circuit_header" scope="request" />
			<string name="html.fuse_header" scope="request" />
		</out>
	</io>
</fusedoc>
--->

<cfloop list="index,doc_open,doc_close,app_header,circuit_header,fuse_header" index="name">
	<cffile action="read"
		file="#request.app.basedir#html#request.os.delimiter##name#.html"
		variable="request.html.#name#" />
	<cfset request.html[name] = replace(request.html[name], "<!appname!>", attributes.appname, "all") />
	<cfset request.html[name] = replace(request.html[name], "<!timestamp!>", "#dateformat(now(), 'mmm-dd-yyyy')# #timeformat(now(), 'HH:mm')#", "all") />
</cfloop>
